package com.steerinfo.ems.trmproduct.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmproduct.model.TRmProduct;
import com.steerinfo.ems.trmproduct.mapper.TRmProductMapper;
import com.steerinfo.ems.trmproduct.service.ITRmProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * TRmProduct服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-12 08:38
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：generator
 * 参考：
 * 描述：TRmProduct服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmProductService")
public class TRmProductServiceImpl extends BaseServiceImpl<TRmProduct, String> implements ITRmProductService {

    @Autowired
    private TRmProductMapper tRmProductMapper;

    @Override
    protected IBaseMapper<TRmProduct, String> getMapper() {
        return tRmProductMapper;
    }

    @Override
    public List<TRmProduct> getIdAndName() {
        return tRmProductMapper.getIdAndName();
    }

    @Override
    public int selectForTrmworkprocproductR(String id) {
        return tRmProductMapper.selectForTrmworkprocproductP(id);
    }

    @Override
    public int selectForTrmworkprocproductP(String id) {
        return tRmProductMapper.selectForTrmworkprocproductR(id);
    }

    @Override
    public String getMaxId() {
        return tRmProductMapper.getMaxId();
    }

    @Override
    public String getMaxNo() {
        return tRmProductMapper.getMaxNo();
    }

    @Override
    public Set<String> getBcode(String productid) {
        return tRmProductMapper.getBcode(productid);
    }
}
